/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * phpsuexec.h -- user-definable variables for the phpsuexec wrapper code.
 */


#ifndef _PHPSUEXEC_H
#define _PHPSUEXEC_H

/*
 * HTTPD_USER -- Define as the username under which mod_php normally
 *               runs.  This is the only user allowed to execute
 *               this program.
 */
#ifndef HTTPD_USER
#define HTTPD_USER "apache"
#endif

/*
 * UID_MIN -- Define this as the lowest UID allowed to be a target user
 *            for suEXEC.  For most systems, 500 or 100 is common.
 */
#ifndef UID_MIN
#define UID_MIN 500
#endif

/*
 * GID_MIN -- Define this as the lowest GID allowed to be a target group
 *            for suEXEC.  For most systems, 100 is common.
 */
#ifndef GID_MIN
#define GID_MIN 100
#endif

/*
 * LOG_EXEC -- Define this as a filename if you want all suEXEC
 *             transactions and errors logged for auditing and
 *             debugging purposes.
 */
#ifndef LOG_EXEC
#define LOG_EXEC "/var/log/apache2/phpsuexec.log"
#endif

/*
 * DOC_ROOT -- Define as the DocumentRoot set for mod_php.  This
 *             will be the only hierarchy that can be used for
 *             suEXEC behavior.
 */
#ifndef DOC_ROOT
#define DOC_ROOT "/var/www"
#endif

/*
 * EXEC_ROOT -- Only executeables in this hierarchy can be executed.
 */
#ifndef EXEC_ROOT
#define EXEC_ROOT "/var/www/exec"
#endif

/*
 * SAFE_PATH -- Define a safe PATH environment to pass to CGI executables.
 *
 */
#ifndef SAFE_PATH
#define SAFE_PATH "/usr/local/bin:/usr/bin:/bin"
#endif

#endif /* _PHPSUEXEC_H */
